MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverridePixelPropsData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverridePixelPropsData:
[legend]
Collaboration diagram for LTIOverridePixelPropsData:
[legend]

## Public Member Functions
| LTIOverridePixelPropsData ()
| ~LTIOverridePixelPropsData ()
LT_STATUS | setPixelProps (const LTIPixel &pixelProps)
| set pixel properties of the image More...
LT_STATUS | setPixelBPS (lt_uint8 bps)
LT_STATUS | setDynamicRange (const LTIPixel &drmin, const LTIPixel &drmax)
| set the dynamic range of the image More...
LT_STATUS | setDefaultDynamicRange (void)
| set the dynamic range of the image More...

## Public Attributes
LTIPixel * | m_pixelProps
LTIPixel * | m_drminPixel
LTIPixel * | m_drmaxPixel

## Detailed Description

Definition at line 97 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverridePixelPropsData::LTIOverridePixelPropsData | ( | ) |  |

LTIOverridePixelPropsData::~LTIOverridePixelPropsData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverridePixelPropsData::setDefaultDynamicRange | ( | void | ) |  |

This function is used to set the dynamic range of the image. The dynamic range consists of the minimum and maximum value for a given sample. This function sets these values to the natural range of the sample datatype.

Derived classes may choose to call this function from within their initialize() method. If the dynamic range is not set, the natural minimum and maximum of the datatype of the sample is used.

Returns
  status code indicating success or failure

LT_STATUS LTIOverridePixelPropsData::setDynamicRange | ( | const LTIPixel & | drmin,
|  | const LTIPixel & | drmax
| ) |  |

This function is used to set the dynamic range of the image. The dynamic range consists of the minimum and maximum value for a given sample.

If both the minimum and maximum are NULL, the natural range of the sample datatype will be used.

Derived classes may choose to call this function from within their initialize() method. If the dynamic range is not set, the natural minimum and maximum of the datatype of the sample is used.

Parameters

  drmin | the minimum dynamic range value
  drmax | the maximum dynamic range value

Returns
  status code indicating success or failure

Referenced by LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIImageFilter > > >::overrideDynamicRange().

LT_STATUS LTIOverridePixelPropsData::setPixelBPS | ( | lt_uint8 | bps) |  |

Referenced by LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIImageFilter > > >::overridePixelBPS().

LT_STATUS LTIOverridePixelPropsData::setPixelProps | ( | const LTIPixel & | pixelProps) |  |

This function is used to set the pixel properties of the image, namely the datatype, colorspace, and number of bands.

Derived classes are required to call this function from within their initialize() method.

Parameters

  pixelProps | the basic pixel properties of the image (number of bands, colorspace, datatype)

Returns
  status code indicating success or failure

Examples:
  DerivedImageFilter.cpp, and DerivedImageReader.cpp.

## Member Data Documentation

LTIPixel* LTIOverridePixelPropsData::m_drmaxPixel

Definition at line 157 of file lti_imageStageOverrides.h.

Referenced by LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIImageFilter > > >::getMaxDynamicRange().

LTIPixel* LTIOverridePixelPropsData::m_drminPixel

Definition at line 156 of file lti_imageStageOverrides.h.

Referenced by LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIImageFilter > > >::getMinDynamicRange().

LTIPixel* LTIOverridePixelPropsData::m_pixelProps

Definition at line 155 of file lti_imageStageOverrides.h.

Referenced by LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIImageFilter > > >::getPixelProps().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech